
apiVersion: v1
kind: PersistentVolume
metadata:
  name: "{{ item.name }}-{{ mergens }}"
  labels:
    volume: "{{ item.name }}-{{ mergens }}"
spec:
  capacity:
    storage: {{ item.storage }}
  volumeName: "{{ item.name }}-{{ mergens }}"
  volumeMode: Filesystem
  accessModes:
  - ReadWriteMany
  persistentVolumeReclaimPolicy: Delete
  storageClassName: ""
  hostPath:
    path: "{{ item.path }}"
    type: ""
  nodeAffinity:
    required:
      nodeSelectorTerms:
      - matchExpressions:
        - key: kubernetes.io/hostname
          operator: In
          values:
          - master1
